| OpenCV 4.3.0 Open Source Computer Vision

Functions
Drawing operations and functions
G-API Drawing and composition functionality

## Functions
void | cv::gapi::wip::draw::render (cv::Mat &bgr, const Prims &prims, cv::GCompileArgs &&args={})
| The function renders on the input image passed drawing primitivies. More...
void | cv::gapi::wip::draw::render (cv::Mat &y_plane, cv::Mat &uv_plane, const Prims &prims, cv::GCompileArgs &&args={})
| The function renders on two NV12 planes passed drawing primitivies. More...
GMat | cv::gapi::wip::draw::render3ch (const GMat &src, const GArray< Prim > &prims)
| Renders on 3 channels input. More...
GMat2 | cv::gapi::wip::draw::renderNV12 (const GMat &y, const GMat &uv, const GArray< Prim > &prims)
| Renders on two planes. More...

## Detailed Description

## Function Documentation

## ◆ render() [1/2]

void cv::gapi::wip::draw::render | ( | cv::Mat & | bgr,
|  | const Prims & | prims,
|  | cv::GCompileArgs && | args = `{}`
| ) |  |

`#include <opencv2/gapi/render/render.hpp>`

The function renders on the input image passed drawing primitivies.

Parameters

  bgr | input image: 8-bit unsigned 3-channel image CV_8UC3.
  prims | vector of drawing primitivies
  args | graph compile time parameters

## ◆ render() [2/2]

void cv::gapi::wip::draw::render | ( | cv::Mat & | y_plane,
|  | cv::Mat & | uv_plane,
|  | const Prims & | prims,
|  | cv::GCompileArgs && | args = `{}`
| ) |  |

`#include <opencv2/gapi/render/render.hpp>`

The function renders on two NV12 planes passed drawing primitivies.

Parameters

  y_plane | input image: 8-bit unsigned 1-channel image CV_8UC1.
  uv_plane | input image: 8-bit unsigned 2-channel image CV_8UC2.
  prims | vector of drawing primitivies
  args | graph compile time parameters

## ◆ render3ch()

GMat cv::gapi::wip::draw::render3ch | ( | const GMat & | src,
|  | const GArray< Prim > & | prims
| ) |  |

`#include <opencv2/gapi/render/render.hpp>`

Renders on 3 channels input.

Output image must be 8-bit unsigned planar 3-channel image

Parameters

  src | input image: 8-bit unsigned 3-channel image CV_8UC3
  prims | draw primitives

## ◆ renderNV12()

GMat2 cv::gapi::wip::draw::renderNV12 | ( | const GMat & | y,
|  | const GMat & | uv,
|  | const GArray< Prim > & | prims
| ) |  |

`#include <opencv2/gapi/render/render.hpp>`

Renders on two planes.

Output y image must be 8-bit unsigned planar 1-channel image CV_8UC1 uv image must be 8-bit unsigned planar 2-channel image CV_8UC2

Parameters

  y | input image: 8-bit unsigned 1-channel image CV_8UC1
  uv | input image: 8-bit unsigned 2-channel image CV_8UC2
  prims | draw primitives